//---------------------------------------------------------------------------

#ifndef extraH
#define extraH

#include "OS_types.h"
#define BUFF_SIZE 64

#define NUMBER_ALIAS 'N'
#define CHAR_ALIAS 'C'

#define IS_NUMBER(X) (X>='0' && X <= '9')


int mocnina10(int j);
char* int2char(int cislo);
int char2int(char * input);
int strcomp(unsigned char* in1, unsigned char* in2);
char* cipher(char*input);
void strcopy(unsigned char*input,unsigned char*output);
char*decipher(char*input);
int get_length(unsigned char* input);
void str_append(unsigned char* output,unsigned char*input);
int integerDiv(int num,int divisor);
char strPutChar(unsigned char* input, unsigned char C, int pos);
char strDelChar(unsigned char *input, int pos);
void clearBuffer(unsigned char* buffer, int length);
void setBuffer(unsigned char* buffer, int length, unsigned char val);
int addNumToMaskedText(unsigned char *buffer, unsigned char * mask, unsigned char C, int pos);
RESULT tryToGetIP(unsigned char * IPbuff,unsigned char* source);
RESULT tryToGetMask(unsigned char * Maskbuff,unsigned char* source);
int getNumber(unsigned char* input);
//---------------------------------------------------------------------------
#endif
